# [  1   2   3 ]
# [  5   6   7 ]
# [  9  10  11 ]

class mat3:
    """
    Matrix 3
    Its solo purpose is to provide mat4 objects for Quaternion class
    
    """

    def __init__(self, *args):
        """" 9 args """
        
        # 9 arguments
        if len(args)==9:
            self.elements = list(args)
        else:
            raise TypeError
